rem 
rem File Name : FTDATACO.BAT
rem           : Execute log collection for FT Server
rem Date      : 2010/07/15
rem             2011/05/13 for ftSW6.1 
rem             2012/01/27 for ftSW8.0 and future version up
rem 

rem =================================
rem Check Gemini-R (SW5.0/SW5.1)

REG QUERY "HKLM\SOFTWARE\NEC\ftseries" /V "ftVersion" | FINDSTR /I /R "5\.0\..\.. 5\.1\..\.."
IF not ERRORLEVEL 1 ( goto :CASE1 )

rem =================================
rem Check Libra (SW5.2)

REG QUERY "HKLM\SOFTWARE\NEC\ftseries" /V "ftVersion" | FINDSTR /I /R "5\.2\..\.."
IF not ERRORLEVEL 1 ( goto :CASE2 )

rem =================================
rem Check Libra (SW5.3) and Draco (SW6.0/SW6.1) and Draco' (SW6.1)

REG QUERY "HKLM\SOFTWARE\NEC\ftseries" /V "ftVersion" | FINDSTR /I /R "5\.3\..\.. 6\.0\..\.. 6\.1\..\.."
IF not ERRORLEVEL 1 ( goto :CASE3 )

rem =================================
rem For minor version up of SW5.x and SW6.x

REG QUERY "HKLM\SOFTWARE\NEC\ftseries" /V "ftVersion" | FINDSTR /I /R "5\..\..\.. 6\..\..\.."
IF not ERRORLEVEL 1 ( goto :CASE3 )

rem =================================
rem Check Draco' and Draco-W (SW7.0) and Cygnus (SW8.0)

REG QUERY "HKLM\SOFTWARE\NEC\ftseries" /V "ftVersion" | FINDSTR /I /R "7\.0\..\.. 8\.0\..\.."
IF not ERRORLEVEL 1 ( goto :CASE4 )

rem =================================
rem For major version up (SW9.0 and over)
goto :CASE4

rem ==========================================================================================
:CASE1

rem Execute log collection for following environments.
rem  - Windows Server 2003 Enterprise Edition   AND   ftSW 5.0
rem  - Windows Server 2003 Enterprise Edition   AND   ftSW 5.1

if NOT EXIST "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\ftDataCollector.exe" exit

rd /S /Q "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"

md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\InstallCheck"
xcopy "%ProgramFiles%\ftSys\CustomerService\InstallCheck" "%ProgramFiles%ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\InstallCheck" /E /C /H /Y

md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\logs"
xcopy "%ProgramFiles%\ftSys\management\logs" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\logs" /E /C /H /Y

md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem"
xcopy "%SystemRoot%\system32\wbem\Logs" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem" /E /C /H /Y

copy "%SystemRoot%\setupapi.log" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection" /Y

copy "%SystemDrive%\SystemConfig.txt" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection" /Y

md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\MPS report"
xcopy "%SystemRoot%\MPSReports\PerfSetDbg\LITE\Cab" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\MPS report" /E /C /H /Y

rem Collect Register dumps
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp"
copy "%SystemDrive%\NECDump\*.ssr" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.frb" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.ckp" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y

"%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\ftDataCollector.exe" /NO_DUMP

goto :EXIT



rem ==========================================================================================
:CASE2

rem Execute log collection for following environments.
rem  - Windows Server 2003 Enterprise Edition       AND   ftSW 5.2
rem  - Windows Server 2003 Enterprise X64 Edition   AND   ftSW 5.2

rd /S /Q "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"

rem Collect WBEM Logs
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem"
xcopy "%SystemRoot%\system32\wbem\Logs" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem" /E /C /H /Y

rem Collect Register dumps
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp"
copy "%SystemDrive%\NECDump\*.ssr" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.frb" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.ckp" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y

"%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\ftDataCollector.exe" /NO_BMC_DUMPS /NO_SMM_DUMPS /NO_SYSTEM_DUMPS /NO_USER_DUMPS /NO_SANBLADE /NO_FTSCALABLE /NO_MPS

goto :EXIT



rem ==========================================================================================
:CASE3

rem Execute log collection for following environments.
rem  - Windows Server 2008 Enterprise X64 Edition   AND   ftSW 5.3
rem  - Windows Server 2008 Enterprise X64 Edition   AND   ftSW 6.0
rem  - Windows Server 2008 Enterprise X64 Edition   AND   ftSW 6.1
rem  - Windows Server 2003 Enterprise Edition       AND   ftSW 5.3
rem  - Windows Server 2003 Enterprise Edition       AND   ftSW 6.0
rem  - Windows Server 2003 Enterprise Edition       AND   ftSW 6.1

rem =====================================
rem Check Architecture. If X64, go to CASE3-W2K8X64 lavel.

echo "%ProgramFiles%" | find "x86"
IF not ERRORLEVEL 1 ( goto :CASE3-W2K8X64 )

rem =====================================


rem  - Windows Server 2003 Enterprise Edition   AND   ftSW 5.3
rem  - Windows Server 2003 Enterprise Edition   AND   ftSW 6.0
rem  - Windows Server 2003 Enterprise Edition   AND   ftSW 6.1

rd /S /Q "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"

rem Collect WBEM Logs
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem"
xcopy "%SystemRoot%\system32\wbem\Logs" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem" /E /C /H /Y

rem Collect Register dumps
md "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp"
copy "%SystemDrive%\NECDump\*.ssr" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.frb" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.ckp" "%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y

"%ProgramFiles%\ftSys\CustomerService\SupportTools\ftDataCollector\ftDataCollector.exe" /NO_BMC_DUMPS /NO_SMM_DUMPS /NO_SYSTEM_DUMPS /NO_USER_DUMPS /NO_SANBLADE /NO_FTSCALABLE /NO_MPS

goto :EXIT


rem ------------------------------------------------------------------------------------------
:CASE3-W2K8X64

rem  - Windows Server 2008 Enterprise X64 Edition   AND   ftSW 5.3
rem  - Windows Server 2008 Enterprise X64 Edition   AND   ftSW 6.0
rem  - Windows Server 2008 Enterprise X64 Edition   AND   ftSW 6.1

rd /S /Q "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"
md "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"

rem Collect WBEM Logs
md "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem"
xcopy "%SystemRoot%\system32\wbem\Logs" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem" /E /C /H /Y

rem Collect Register dumps
md "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp"
copy "%SystemDrive%\NECDump\*.ssr" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.frb" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.ckp" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y

"%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\ftDataCollector.exe" /NO_BMC_DUMPS /NO_SMM_DUMPS /NO_SYSTEM_DUMPS /NO_USER_DUMPS /NO_SANBLADE /NO_FTSCALABLE /NO_MPS

goto :EXIT



rem ==========================================================================================
:CASE4

rem Execute log collection for following environments.
rem  - Windows Server 2008 Enterprise Edition R2   AND   ftSW 7.0
rem  - Windows Server 2008 Enterprise Edition R2   AND   ftSW 8.0

rd /S /Q "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"
md "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection"

rem Collect WBEM Logs
md "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem"
xcopy "%SystemRoot%\system32\wbem\Logs" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\wbem" /E /C /H /Y

rem Collect Register dumps
md "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp"
copy "%SystemDrive%\NECDump\*.ssr" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.frb" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y
copy "%SystemDrive%\NECDump\*.ckp" "%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\DataCollection\regdmp" /Y

"%SystemDrive%\Program Files\ftSys\CustomerService\SupportTools\ftDataCollector\ftDataCollector.exe" /add_logs /add_config /add_adplus /no_sels /no_mps /no_msinfo32 /no_dumps /no_vtm /no_ftscalable

goto :EXIT

rem ==========================================================================================



rem EXIT
:EXIT


